Changes between Initial Version and Version 1 of Ticket #2775


Ignore:
Timestamp:
Sep 22, 2020 12:59:02 PM (2 months ago)
Author:
zzz
Comment:

Thanks for the report.

Our Debian/Ubuntu? packages are built assuming that you're using the java packages also. In practice, this means you need to use Java 11 or higher if you're using our packages on a recent Debian/Ubuntu?. I know our docs claim Java 8 or higher but the packages are a special case in that we assume you aren't downgrading from the package java to an older alternative java.

It's a little odd that you're using AdoptOpenJDK but it should work if you switch to 11 or higher. So that's the workaround.

There's some things we could do to make this less likely to occur, we need to set some more build flags, but it's tricky. Leaving the ticket open for investigation.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #2775

    • Property Status changed from new to accepted
  • Ticket #2775 – Description

    initial v1  
    11On loading any emails in susimail, this error page is presented:
    2 
     2{{{
    33 Error 500: /susimail/ java.lang.NoSuchMethodError: java.nio.ByteBuffer.flip()Ljava/nio/ByteBuffer;
    44
     
    5959     at java.io.FilterOutputStream.close(FilterOutputStream.java:159)
    6060     ... 46 more
    61 
     61}}}
    6262
    6363